#
# spec file for package flash-player
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_standalone 1

Name:           flash-player
Version:        11.1.102.63
Release:        0.2.1
Summary:        Adobe Flash Plugin and Standalone Player
License:        NON-OSI-COMPLIANT(royalties)
Group:          Productivity/Networking/Web/Browsers
Url:            http://get.adobe.com/flashplayer/
%ifarch %ix86
Source0:        install_flash_player_%{version}_linux.i386.tar.bz2
Source1:        flashplayer_%{version}_sa.i386.tar.bz2
%endif
%ifarch x86_64
Source0:        install_flash_player_%{version}_linux.x86_64.tar.bz2
Source1:        flashplayer_11.1.102.55_sa.x86_64.tar.bz2
%endif
Source2:        LICENSE
Source3:        README
Source4:        flashplayer.desktop
Source5:        flashplayer.png
Source99:       update.sh
NoSource:       99
# PATCH-FIX-OPENSUSE desktop.diff -- Fix desktop file to be GNOME compatible
Patch0:         desktop.diff
# PATCH-FIX-OPENSUSE kcm_adobe_flash_player.desktop.patch asterios.dramis@gmail.com -- Make the KCM module X-KDE-System-Settings-Parent-Category entry compatible with newer KDE versions
Patch1:         kcm_adobe_flash_player.desktop.patch
%if 0%{?suse_version} > 1100
BuildRequires:  kde4-filesystem
%endif
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
# flash player dynamically opens that one and segfaults if not available (2008-11-12)
%ifarch %ix86
Requires:       libasound.so.2
Requires:       libcurl.so.4
%endif
%ifarch x86_64
Requires:       libasound.so.2()(64bit)
Requires:       libcurl.so.4()(64bit)
%endif
Provides:       flash-plugin = %{version}
%if 0%{?suse_version} >= 1110
# flash 10 does not need libflashsupport and using it can cause device conflicts
# just let flash talk with the default alsa plugin - bnc#539656
Provides:       libflashsupport = 1.2
Obsoletes:      libflashsupport <= 1.2
%ifarch x86_64
Provides:       libflashsupport-32bit = 1.2
Obsoletes:      libflashsupport-32bit <= 1.2
%endif
%endif
Provides:       netscape-plugins
Obsoletes:      netscape-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
%if 0%{!?_kde4_libdir:1}
%define _kde4_libdir %{_libdir}
%endif
%if 0%{!?_kde4_datadir:1}
%define _kde4_datadir %{_datadir}
%endif
%if 0%{!?_kde4_sharedir:1}
%define _kde4_sharedir %{_kde4_datadir}/kde4
%endif
%if 0%{!?_kde4_modulesdir:1}
%define _kde4_modulesdir %{_kde4_libdir}/kde4
%endif
%if 0%{!?_kde4_servicesdir:1}
%define _kde4_servicesdir %{_kde4_sharedir}/services
%endif

%description
This package contains Adobe's Flash Plugin for the supported Web
browsers in addition to a standalone flash player application.

%if 0%{?suse_version} > 1100

%package gnome

Summary:        Adobe Flash Plugin and Standalone Player Settings
Group:          Productivity/Networking/Web/Browsers
Requires:       %{name} = %{version}
Supplements:    packageand(gnome-session:flash-player)

%description gnome
This package contains Adobe's Flash Plugin Settings for the GNOME desktop.

%package kde4

Summary:        Adobe Flash Plugin and Standalone Player Settings
Group:          Productivity/Networking/Web/Browsers
Requires:       %{name} = %{version}
Supplements:    packageand(kdebase4-session:flash-player)
%kde4_runtime_requires

%description kde4
This package contains Adobe's Flash Plugin Settings for the KDE 4 desktop.

%endif

%prep
%setup -q -c %{name}-%{version} -a 0 -b 1
%patch0
%patch1
cp %{SOURCE2} .
cp %{SOURCE3} .

%build

%install
install -Dpm 0755 libflashplayer.so %{buildroot}%{_libdir}/browser-plugins/libflashplayer.so

mkdir -p %{buildroot}%{_datadir}/icons
rm -rf usr/share/icons/hicolor/24x24
%if 0%{?suse_version} <= 1100
rm -rf usr/share/icons/hicolor/*/apps/flash-player-properties.png
%endif
cp -a usr/share/icons/* %{buildroot}%{_datadir}/icons

%if 0%{?suse_version} > 1100
# KDE frontend
install -Dpm 0755 usr/%{_lib}/kde4/kcm_adobe_flash_player.so %{buildroot}%{_kde4_modulesdir}/kcm_adobe_flash_player.so
install -Dpm 0644 usr/share/kde4/services/kcm_adobe_flash_player.desktop %{buildroot}%{_kde4_servicesdir}/kcm_adobe_flash_player.desktop
# GNOME frontend
install -Dpm 0755 usr/bin/flash-player-properties %{buildroot}%{_bindir}/flash-player-properties
install -Dpm 0644 usr/share/applications/flash-player-properties.desktop %{buildroot}%{_datadir}/applications/flash-player-properties.desktop
%endif

%if %build_standalone
%if 0%{?suse_version} > 1030
%ifarch %ix86
install -Dpm 0755 flashplayer %{buildroot}%{_bindir}/flashplayer
install -Dpm 0644 %{SOURCE4} %{buildroot}%{_datadir}/applications/flashplayer.desktop
install -Dpm 0644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps/flashplayer.png
%suse_update_desktop_file flashplayer
%endif
%endif
%endif

%if 0%{?suse_version} > 1100
%suse_update_desktop_file flash-player-properties
%endif

%files
%defattr(-,root,root,-)
%doc [Rr][eE][aA][dD][Mm][eE]* LICENSE
%{_libdir}/browser-plugins/libflashplayer.so
%if 0%{?suse_version} > 1020
%{_datadir}/icons/hicolor/*x*/apps/flash-player-properties.png
%endif
%if %build_standalone
%if 0%{?suse_version} > 1030
%ifarch %ix86
%{_bindir}/flashplayer
%{_datadir}/applications/flashplayer.desktop
%{_datadir}/pixmaps/flashplayer.png
%endif
%endif
%endif

%if 0%{?suse_version} > 1100

%files gnome
%defattr(-,root,root,-)
%{_bindir}/flash-player-properties
%{_datadir}/applications/flash-player-properties.desktop

%files kde4
%defattr(-,root,root,-)
%{_kde4_modulesdir}/kcm_adobe_flash_player.so
%{_kde4_servicesdir}/kcm_adobe_flash_player.desktop

%endif

%changelog
* Tue Mar  6 2012 dmueller@suse.com
- Update to 11.1.102.63: (bnc#750614)
  http://www.adobe.com/support/security/bulletins/apsb12-05.html
  * CVE-2012-0768, CVE-2012-0769
* Thu Feb 16 2012 meissner@suse.com
- Update to 11.1.102.62: (bnc#747297)
  https://www.adobe.com/support/security/bulletins/apsb12-03.html
  CVEs fixed: CVE-2012-0751, CVE-2012-0752, CVE-2012-0753, CVE-2012-0754,
  CVE-2012-0755, CVE-2012-0756, CVE-2012-0767
* Fri Jan 27 2012 dmueller@suse.de
- fix provides/obsoletes causing arch-conflict
* Tue Jan 24 2012 ro@suse.de
- fix macros in specfile
* Mon Jan 16 2012 dmueller@suse.de
- provide/obsolete also libflashsupport for sled11-sp1
- add compat macros that are necessary after the "spec-cleaner run"
* Wed Dec 28 2011 asterios.dramis@gmail.com
- Added a patch (kcm_adobe_flash_player.desktop.patch) to make the KCM module
  X-KDE-System-Settings-Parent-Category entry compatible with newer KDE
  versions in order to not showup in the "Lost and Found" section.
- Spec-file updates:
  * Spec file cleanup based also on spec-cleaner run.
* Tue Nov 15 2011 dmueller@suse.de
- remove standalone binary for x86_64 as long as it is not updated
* Fri Nov 11 2011 dmueller@suse.com
- Update to 11.1.102.55 (bnc#729797):
  * CVE-2011-2445, CVE-2011-2450, CVE-2011-2451, CVE-2011-2452,
  CVE-2011-2453, CVE-2011-2454, CVE-2011-2455, CVE-2011-2456,
  CVE-2011-2457, CVE-2011-2458, CVE-2011-2459, CVE-2011-2460
* Tue Oct  4 2011 dmueller@suse.de
- update to 11.0.1.152 (bnc#722151):
  * See http://kb2.adobe.com/cps/919/cpsid_91932.html
  for details.
- enable building for x86_64
* Wed Sep 21 2011 dmueller@suse.com
- Update to 10.3.183.10: (bnc#719400):
  * Update to Flash Player that addresses a zero-day vulnerability.
* Wed Sep 21 2011 dmueller@suse.de
- update license to 10.3 EULA (bnc#575642)
* Fri Aug 26 2011 dmueller@suse.de
- Update to 10.3.183.7: (bnc#714365):
  * Shared library/gotoAndPlay() or gotoAndStop() bug
  * Textfields are displaying text vertically in 10.3.183.5 release
  * Massive Animation Slowdown following install of FP 10.3.183.5
  * Flash player 10.3 displays a black screen (2943064)
  * Sound repeating and building up bug (2941616)
  * Flash applications at certain websites (http://www.justin.tv,
  http://heylenmichel.de) now load correctly (2939645, 2944081)
* Wed Aug 10 2011 dmueller@suse.de
- Update to 10.3.183.5: (bnc#711427):
  * CVE-2011-2130, CVE-2011-2134, CVE-2011-2135, CVE-2011-2136,
    CVE-2011-2137,  CVE-2011-2138,  CVE-2011-2139,  CVE-2011-2140,
    CVE-2011-2414,  CVE-2011-2415,  CVE-2011-2416,  CVE-2011-2417,
    CVE-2011-2425
* Mon Jul  4 2011 dmueller@suse.de
- Update to 10.3.181.34: (bnc#703618):
  * Adobe Flash Player 10.3.181.34 addresses compatibility
  issues with some content using cross-domain policy files.
* Tue Jun 14 2011 dmueller@suse.de
- Update to 10.3.181.26: (bnc#699942):
  * CVE-2011-2110
* Mon Jun  6 2011 dmueller@suse.de
- Update to 10.3.181.22: (bnc#698261)
  * CVE-2011-2107
* Fri May 13 2011 dmueller@suse.de
- add missing requires
* Fri May 13 2011 dmueller@suse.de
- split kde4 and gnome subpackages
* Thu May 12 2011 dmueller@suse.de
- Update to 10.3.181.14 (bnc#693573):
  * CVE-2011-0589, CVE-2011-0618, CVE-2011-0619, CVE-2011-0620,
    CVE-2011-0621, CVE-2011-0622, CVE-2011-0623, CVE-2011-0624,
    CVE-2011-0625, CVE-2011-0626, CVE-2011-0627
  * Important security and bugfix enhancements
    http://www.adobe.com/go/apsb11-12
  * Acoustic echo cancellation
  * Simplified local storage management
  * Local settings manager
* Fri Apr 15 2011 dmueller@suse.de
- Update to 10.2.159.1: (bnc#686818):
  * CVE-2011-0611
* Mon Mar 28 2011 dmueller@suse.de
- update standalone player (bnc#682902)
* Mon Mar 21 2011 dmueller@suse.de
- Update to 10.2.153.1: (bnc#679672)
  * CVE-2011-0609
* Wed Feb  9 2011 meissner@suse.de
- updated to 10.2.152.26 (bnc#670531):
  * CVE-2011-0558, CVE-2011-0559, CVE-2011-0560, CVE-2011-0561,
  * CVE-2011-0571, CVE-2011-0572, CVE-2011-0573, CVE-2011-0574,
  * CVE-2011-0575, CVE-2011-0577, CVE-2011-0578, CVE-2011-0607,
  * CVE-2011-0608
  * http://www.adobe.com/support/security/bulletins/apsb11-02.html
* Thu Nov  4 2010 dmueller@suse.de
- update to 10.1.102.64  (bnc#650145):
  * CVE-2010-3654
* Mon Sep 20 2010 dmueller@suse.de
- update to 10.1.85.3 (bnc#639541):
  * CVE-2010-2884
* Tue Aug 10 2010 dmueller@suse.de
- update to 10.1.82.76 (bnc#630108):
  * CVE-2010-0209, CVE-2010-2188, CVE-2010-2213, CVE-2010-2214,
  CVE2010-2215, CVE-2010-2216
* Fri Jun 11 2010 dmueller@suse.de
- update to 10.1.53.64 (bnc#612063):
  * CVE-2008-4546, CVE-2009-3793, CVE-2010-1297, CVE-2010-2160,
  CVE-2010-2161, CVE-2010-2162, CVE-2010-2163, CVE-2010-2164,
  CVE-2010-2165, CVE-2010-2166, CVE-2010-2167, CVE-2010-2169,
  CVE-2010-2170, CVE-2010-2171, CVE-2010-2172, CVE-2010-2173,
  CVE-2010-2174, CVE-2010-2175, CVE-2010-2176, CVE-2010-2177,
  CVE-2010-2178, CVE-2010-2179, CVE-2010-2180, CVE-2010-2181,
  CVE-2010-2182, CVE-2010-2183, CVE-2010-2184, CVE-2010-2185,
  CVE-2010-2186, CVE-2010-2187, CVE-2010-2188, CVE-2010-2189
* Sat Feb 13 2010 dmueller@suse.de
- update to 10.0.45.2 (bnc#578997):
  * CVE-2010-0186, CVE-2010-0187
* Wed Dec 16 2009 dmueller@suse.de
- also provide libflashsupport, otherwise patch update
  complains about the obsolete
* Tue Dec 15 2009 lnussel@suse.de
- don't obsolete libflashsupport for now (bnc#560259)
* Wed Dec  9 2009 dmueller@suse.de
- update to 10.0.42.34 (bnc#560259):
  * CVE-2009-3794, CVE-2009-3796, CVE-2009-3797, CVE-2009-3798,
  CVE-2009-3799, CVE-2009-3800, CVE-2009-3951
* Fri Nov  6 2009 crrodriguez@opensuse.org
- flash player makes no sound in x86_64 if libasound.so.2
  is not installed and pulseaudio is disabled.
* Thu Oct  1 2009 sreeves@novell.com
- fix bnc#539656 - obsolete libflashsupport
* Thu Aug  6 2009 dmueller@suse.de
- also provide flash-plugin
* Fri Jul 31 2009 dmueller@suse.de
- update to 10.0.32.18 (bnc#524508):
  * CVE-2009-1862, CVE-2009-0901, CVE-2009-2395, CVE-2009-2493,
  CVE-2009-1863, CVE-2009-1864, CVE-2009-1865, CVE-2009-1866,
  CVE-2009-1867, CVE-2009-1868, CVE-2009-1869, CVE-2009-1870
* Wed Jun 17 2009 beineri@opensuse.org
- fix capitalization of start menu entry
* Wed Feb 25 2009 dmueller@suse.de
- update to 10.0.22.87 (bnc#476907):
  * CVE-2009-0519, CVE-2009-0520,CVE-2009-0522, CVE-2009-0114
  CVE-2009-0521
* Thu Dec 18 2008 dmueller@suse.de
- update to 10.0.15.3 (bnc#458573):
  CVE-2008-5499
* Wed Nov 12 2008 dmueller@suse.de
- require libcurl.so.4 (bnc#443772)
* Mon Nov  3 2008 dmueller@suse.de
- strip rpath from standalone player as well
* Mon Oct 27 2008 ro@suse.de
- fix typo in specfile
* Wed Oct 15 2008 dmueller@suse.de
- update to 10.0.12.36 (bnc#435201):
  * fixes for CVE-2007-6243, CVE-2008-3873, CVE-2007-4324,
  CVE-2008-4401, CVE-2008-4503
  * http://www.adobe.com/products/flashplayer/
* Wed Apr  9 2008 dmueller@suse.de
- update to 9.0.124.0 (bnc#376639)
  * CVE-2007-6637
* Tue Dec  4 2007 dmueller@suse.de
- update to 9.0.115.0 (#310213)
* Wed Jul 11 2007 dmueller@suse.de
- update to 9.0.48.0 (#257905,
  CVE-2007-3456, CVE-2007-3457, CVE-2007-2022)
* Thu Apr 12 2007 dmueller@suse.de
- add standalone flash player binary (#263332)
* Wed Jan 17 2007 dmueller@suse.de
- update to 9.0.31.0 (FATE #301150)
* Thu Dec  7 2006 coolo@suse.de
- update to 7.0.69.0 (CVE-2006-5330, #213291)
* Wed Sep 13 2006 dmueller@suse.de
- update to 7.0.68.0 (CVE-2006-3311, CVE-2006-3587, CVE-2006-3588,
  [#205382])
* Thu Mar 16 2006 ltinkl@suse.cz
- fix #158227 - VUL-0: vulnerability in flash-player
  (Flash installer updated to 7.0.63.0)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Mon Jul 26 2004 clahey@suse.de
- Update to version 7.0.25.0.
* Wed Mar 31 2004 aj@suse.de
- Update to version 6.0r81:
  * flash scripting fixes
  * video quality and playback speed improvements
  * performance improvements
* Fri Jun 20 2003 ro@suse.de
- don't include dir in filelist, is in filesystem package now
* Sun Mar 16 2003 ro@suse.de
- security update to version 6.0r79
* Mon Feb 24 2003 ro@suse.de
- created (obsoletes old netscape-plugins package)
